| Home | Libraries | People | FAQ | More

## Macro BOOST_VARIANT_LIMIT_TYPES

BOOST_VARIANT_LIMIT_TYPES — Expands to the length of the template parameter list for `variant`. Not used if `BOOST_VARIANT_DO_NOT_USE_VARIADIC_TEMPLATES` is not defined.

## Synopsis

    // In header: <boost/variant/variant_fwd.hpp>

    BOOST_VARIANT_LIMIT_TYPES

## Description

Note: Conforming implementations of `variant` must allow at least ten template arguments. That is, BOOST_VARIANT_LIMIT_TYPES must be greater or equal to `10`.